return {
  {
    "mason-org/mason-lspconfig.nvim",
    opts = function(_, opts)
      -- nichts automatisch installieren für HLS
      opts.automatic_installation = true -- für alle anderen weiterhin an
      local list = opts.ensure_installed or {}
      local keep = {}
      for _, name in ipairs(list) do
        if name ~= "hls" and name ~= "haskell_language_server" then
          table.insert(keep, name)
        end
      end
      opts.ensure_installed = keep
    end,
  },
  -- Mason soll PATH nicht voranstellen
  {
    "mason-org/mason.nvim",
    opts = { PATH = "append" },
  },
  {
    "neovim/nvim-lspconfig",
    opts = {
      setup = {
        hls = function()
          return true
        end,
      },
    },
  },
}
